{% extends 'base.html' %}
{% block title %} Group {% endblock %}
{% block content %}
    <h1> {{ group.groupname.upper() }} </h1>
    <h2> Permissions </h2>
    <ul id="group-permissions">
        {% for permission in group.display_permissions() %}
        <li> {{ permission }} </li>
        {% endfor %}
    </ul>
    <h2> Members </h2>
    <ul id="group-members">
        {% for member in members %}
        <li> {{ member }} 
            {% if group.groupname != 'root' and user.group.has_permission('canSeeGroups') and user.group.can_modify_other_user(member.group) %}
                <form action="" method="post">
                    {{ form.csrf_token }}
                    {{ form.email(value=member.email) }}
                    {{ form.groupname.label }}{{ form.groupname(value=group.groupname) }}
                    {{ form.submit() }}
                </form>
                <form action="" method="post">
                    {{ form2.csrf_token }}
                    {{ form2.email(value=member.email) }}
                    {{ form2.delete_user() }}
                </form>
            {% endif %}
            </li>
        {% endfor %}
    </ul>
{% endblock %}